using System.Collections.Generic;
using System.Threading.Tasks;
using ASHermed.AdminInterface.Api.ContractModel;
using ASHermed.SinoInterface.Api.ContractModel.Quest;
using ASHermed.SinoInterface.Repository.MySql;

namespace ASHermed.SinoInterface.Api.IRepository.Quest
{
    public interface IPubQuestCategoryRepository
    {
        Task<int> InsertAndReturnIdAsync(Pub_Quest_Category questPatTestInfo);
        Task<List<Pub_Quest_Category>> GetCategorie(List<string> name);
        Task<List<Pub_Quest_Category>> GetCategorieForInfoId(int infoId);
        Task<int> UpdateCate(Pub_Quest_Category category);
        Task<int> UpdateSort(int id, int sort);
    }
}
